databases/ruby-dm-core - The NetBSD Packages Collection

Object/Relational Mapper for Ruby

An Object/Relational Mapper for Ruby.

DataMapper sports a very accessible code-base and a welcoming community.
Outside contributions and feedback are welcome and encouraged, especially
constructive criticism. Make your voice heard! Submit a
ticket[http://datamapper.lighthouseapp.com] or
patch[http://datamapper.lighthouseapp.com], speak up
on our mailing-list[http://groups.google.com/group/datamapper/], chat with us
on irc[irc://irc.freenode.net/#datamapper], write a spec, get it reviewed, ask
for commit rights. It's as easy as that to become a contributor.

Build dependencies

pkgtools/mktools pkgtools/cwrappers

Runtime dependencies

net/ruby-addressable lang/ruby32-base

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64ruby31-dm-core-1.2.1.tgz
NetBSD 10.0aarch64ruby32-dm-core-1.2.1.tgz
NetBSD 10.0aarch64ruby33-dm-core-1.2.1.tgz
NetBSD 10.0aarch64ruby31-dm-core-1.2.1.tgz
NetBSD 10.0aarch64ruby32-dm-core-1.2.1.tgz
NetBSD 10.0aarch64ruby31-dm-core-1.2.1.tgz
NetBSD 10.0aarch64ruby32-dm-core-1.2.1.tgz
NetBSD 10.0aarch64ruby33-dm-core-1.2.1.tgz
NetBSD 10.0aarch64ebruby31-dm-core-1.2.1.tgz
NetBSD 10.0aarch64ebruby31-dm-core-1.2.1.tgz
NetBSD 10.0earmv4ruby31-dm-core-1.2.1.tgz
NetBSD 10.0earmv4ruby32-dm-core-1.2.1.tgz
NetBSD 10.0earmv4ruby31-dm-core-1.2.1.tgz
NetBSD 10.0earmv4ruby31-dm-core-1.2.1.tgz
NetBSD 10.0earmv6hfruby31-dm-core-1.2.1.tgz
NetBSD 10.0earmv6hfruby32-dm-core-1.2.1.tgz
NetBSD 10.0earmv6hfruby31-dm-core-1.2.1.tgz
NetBSD 10.0earmv6hfruby32-dm-core-1.2.1.tgz
NetBSD 10.0earmv6hfruby33-dm-core-1.2.1.tgz
NetBSD 10.0earmv7hfruby31-dm-core-1.2.1.tgz
NetBSD 10.0earmv7hfruby32-dm-core-1.2.1.tgz
NetBSD 10.0earmv7hfruby31-dm-core-1.2.1.tgz
NetBSD 10.0earmv7hfruby32-dm-core-1.2.1.tgz
NetBSD 10.0earmv7hfruby33-dm-core-1.2.1.tgz
NetBSD 10.0i386ruby31-dm-core-1.2.1.tgz
NetBSD 10.0i386ruby32-dm-core-1.2.1.tgz
NetBSD 10.0i386ruby33-dm-core-1.2.1.tgz
NetBSD 10.0i386ruby31-dm-core-1.2.1.tgz
NetBSD 10.0i386ruby32-dm-core-1.2.1.tgz
NetBSD 10.0i386ruby31-dm-core-1.2.1.tgz
NetBSD 10.0i386ruby32-dm-core-1.2.1.tgz
NetBSD 10.0i386ruby33-dm-core-1.2.1.tgz
NetBSD 10.0m68kruby31-dm-core-1.2.1.tgz
NetBSD 10.0m68kruby32-dm-core-1.2.1.tgz
NetBSD 10.0mips64ebruby31-dm-core-1.2.1.tgz
NetBSD 10.0mips64ebruby32-dm-core-1.2.1.tgz
NetBSD 10.0mips64ebruby33-dm-core-1.2.1.tgz
NetBSD 10.0mips64ebruby31-dm-core-1.2.1.tgz
NetBSD 10.0mips64ebruby32-dm-core-1.2.1.tgz
NetBSD 10.0mips64ebruby33-dm-core-1.2.1.tgz
NetBSD 10.0powerpcruby31-dm-core-1.2.1.tgz
NetBSD 10.0powerpcruby32-dm-core-1.2.1.tgz
NetBSD 10.0powerpcruby31-dm-core-1.2.1.tgz
NetBSD 10.0powerpcruby32-dm-core-1.2.1.tgz
NetBSD 10.0sparc64ruby31-dm-core-1.2.1.tgz
NetBSD 10.0sparc64ruby32-dm-core-1.2.1.tgz
NetBSD 10.0sparc64ruby33-dm-core-1.2.1.tgz
NetBSD 10.0vaxruby31-dm-core-1.2.1.tgz
NetBSD 10.0vaxruby31-dm-core-1.2.1.tgz
NetBSD 10.0x86_64ruby31-dm-core-1.2.1.tgz
NetBSD 10.0x86_64ruby32-dm-core-1.2.1.tgz
NetBSD 10.0x86_64ruby33-dm-core-1.2.1.tgz
NetBSD 10.0x86_64ruby31-dm-core-1.2.1.tgz
NetBSD 10.0x86_64ruby32-dm-core-1.2.1.tgz
NetBSD 10.0x86_64ruby31-dm-core-1.2.1.tgz
NetBSD 10.0x86_64ruby32-dm-core-1.2.1.tgz
NetBSD 10.0x86_64ruby33-dm-core-1.2.1.tgz
NetBSD 9.0aarch64ruby31-dm-core-1.2.1.tgz
NetBSD 9.0aarch64ruby31-dm-core-1.2.1.tgz
NetBSD 9.0aarch64ruby32-dm-core-1.2.1.tgz
NetBSD 9.0aarch64ruby31-dm-core-1.2.1.tgz
NetBSD 9.0earmv4ruby31-dm-core-1.2.1.tgz
NetBSD 9.0earmv4ruby32-dm-core-1.2.1.tgz
NetBSD 9.0earmv4ruby31-dm-core-1.2.1.tgz
NetBSD 9.0earmv6hfruby31-dm-core-1.2.1.tgz
NetBSD 9.0earmv6hfruby32-dm-core-1.2.1.tgz
NetBSD 9.0earmv6hfruby31-dm-core-1.2.1.tgz
NetBSD 9.0earmv6hfruby32-dm-core-1.2.1.tgz
NetBSD 9.0earmv6hfruby33-dm-core-1.2.1.tgz
NetBSD 9.0earmv7hfruby31-dm-core-1.2.1.tgz
NetBSD 9.0earmv7hfruby32-dm-core-1.2.1.tgz
NetBSD 9.0earmv7hfruby31-dm-core-1.2.1.tgz
NetBSD 9.0earmv7hfruby32-dm-core-1.2.1.tgz
NetBSD 9.0earmv7hfruby33-dm-core-1.2.1.tgz
NetBSD 9.0i386ruby31-dm-core-1.2.1.tgz
NetBSD 9.0i386ruby32-dm-core-1.2.1.tgz
NetBSD 9.0i386ruby33-dm-core-1.2.1.tgz
NetBSD 9.0i386ruby31-dm-core-1.2.1.tgz
NetBSD 9.0i386ruby32-dm-core-1.2.1.tgz
NetBSD 9.0i386ruby31-dm-core-1.2.1.tgz
NetBSD 9.0i386ruby32-dm-core-1.2.1.tgz
NetBSD 9.0i386ruby33-dm-core-1.2.1.tgz
NetBSD 9.0m68kruby26-dm-core-1.2.1.tgz
NetBSD 9.0m68kruby27-dm-core-1.2.1.tgz
NetBSD 9.0m68kruby30-dm-core-1.2.1.tgz
NetBSD 9.0m68kruby31-dm-core-1.2.1.tgz
NetBSD 9.0powerpcruby24-dm-core-1.2.1.tgz
NetBSD 9.0powerpcruby25-dm-core-1.2.1.tgz
NetBSD 9.0powerpcruby26-dm-core-1.2.1.tgz
NetBSD 9.0powerpcruby27-dm-core-1.2.1.tgz
NetBSD 9.0powerpcruby30-dm-core-1.2.1.tgz
NetBSD 9.0powerpcruby31-dm-core-1.2.1.tgz
NetBSD 9.0powerpcruby32-dm-core-1.2.1.tgz
NetBSD 9.0powerpcruby24-dm-core-1.2.1.tgz
NetBSD 9.0powerpcruby25-dm-core-1.2.1.tgz
NetBSD 9.0powerpcruby26-dm-core-1.2.1.tgz
NetBSD 9.0powerpcruby27-dm-core-1.2.1.tgz
NetBSD 9.0powerpcruby30-dm-core-1.2.1.tgz
NetBSD 9.0powerpcruby31-dm-core-1.2.1.tgz
NetBSD 9.0powerpcruby32-dm-core-1.2.1.tgz
NetBSD 9.0powerpcruby24-dm-core-1.2.1.tgz
NetBSD 9.0powerpcruby25-dm-core-1.2.1.tgz
NetBSD 9.0powerpcruby26-dm-core-1.2.1.tgz
NetBSD 9.0powerpcruby27-dm-core-1.2.1.tgz
NetBSD 9.0powerpcruby30-dm-core-1.2.1.tgz
NetBSD 9.0powerpcruby31-dm-core-1.2.1.tgz
NetBSD 9.0powerpcruby32-dm-core-1.2.1.tgz
NetBSD 9.0powerpcruby33-dm-core-1.2.1.tgz
NetBSD 9.0sparc64ruby31-dm-core-1.2.1.tgz
NetBSD 9.0x86_64ruby31-dm-core-1.2.1.tgz
NetBSD 9.0x86_64ruby32-dm-core-1.2.1.tgz
NetBSD 9.0x86_64ruby33-dm-core-1.2.1.tgz
NetBSD 9.0x86_64ruby31-dm-core-1.2.1.tgz
NetBSD 9.0x86_64ruby32-dm-core-1.2.1.tgz
NetBSD 9.0x86_64ruby31-dm-core-1.2.1.tgz
NetBSD 9.0x86_64ruby32-dm-core-1.2.1.tgz
NetBSD 9.0x86_64ruby33-dm-core-1.2.1.tgz
NetBSD 9.3x86_64ruby31-dm-core-1.2.1.tgz
NetBSD 9.3x86_64ruby32-dm-core-1.2.1.tgz
NetBSD 9.3x86_64ruby33-dm-core-1.2.1.tgz
NetBSD 9.3x86_64ruby31-dm-core-1.2.1.tgz
NetBSD 9.3x86_64ruby32-dm-core-1.2.1.tgz
NetBSD 9.3x86_64ruby33-dm-core-1.2.1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.